<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: lpt_m Module Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions/Subroutines</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">lpt_m Module Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the main lpt module which initializes, solves, calls monitor variables etc. module.  
<a href="#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:ae264760ae4257bb35b2d26d5ad20c23a"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__m.html#ae264760ae4257bb35b2d26d5ad20c23a">lpt_register_data</a> (vdf)</td></tr>
<tr class="separator:ae264760ae4257bb35b2d26d5ad20c23a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acc2a74921c2c02fb2ea5d53346bc0f26"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__m.html#acc2a74921c2c02fb2ea5d53346bc0f26">lpt_init</a> (vdf)</td></tr>
<tr class="memdesc:acc2a74921c2c02fb2ea5d53346bc0f26"><td class="mdescLeft">&#160;</td><td class="mdescRight">initializes the lpt module by reading in the relevant input flags  <a href="#acc2a74921c2c02fb2ea5d53346bc0f26">More...</a><br /></td></tr>
<tr class="separator:acc2a74921c2c02fb2ea5d53346bc0f26"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a169103869bed15388cda14febe0849a4"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__m.html#a169103869bed15388cda14febe0849a4">lpt_step</a> (vdf)</td></tr>
<tr class="memdesc:a169103869bed15388cda14febe0849a4"><td class="mdescLeft">&#160;</td><td class="mdescRight">This subroutine calls the various solver subroutines to integrate the equations of the particle.  <a href="#a169103869bed15388cda14febe0849a4">More...</a><br /></td></tr>
<tr class="separator:a169103869bed15388cda14febe0849a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae62bc7d4269c189095f1d5de492a4842"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__m.html#ae62bc7d4269c189095f1d5de492a4842">lpt_monitor</a> (vdf)</td></tr>
<tr class="memdesc:ae62bc7d4269c189095f1d5de492a4842"><td class="mdescLeft">&#160;</td><td class="mdescRight">updates the lpt monitor variables each timestep  <a href="#ae62bc7d4269c189095f1d5de492a4842">More...</a><br /></td></tr>
<tr class="separator:ae62bc7d4269c189095f1d5de492a4842"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4f7dcce423d9e383b7ca958d4f88d444"><td class="memItemLeft" align="right" valign="top">real(wp) function, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__m.html#a4f7dcce423d9e383b7ca958d4f88d444">lpt_get_dt_max</a> (vdf, dt_in, time_old)</td></tr>
<tr class="separator:a4f7dcce423d9e383b7ca958d4f88d444"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a9f31d78ee367d4c1366349892980cd47"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structlpt__defs__m_1_1lpt__t.html">lpt_t</a>), pointer, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__m.html#a9f31d78ee367d4c1366349892980cd47">first_lpt</a> =&gt; null()</td></tr>
<tr class="memdesc:a9f31d78ee367d4c1366349892980cd47"><td class="mdescLeft">&#160;</td><td class="mdescRight">main data object  <a href="#a9f31d78ee367d4c1366349892980cd47">More...</a><br /></td></tr>
<tr class="separator:a9f31d78ee367d4c1366349892980cd47"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abfe415518260ec96056f4727d6ceca18"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structlpt__defs__m_1_1lpt__t.html">lpt_t</a>), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__m.html#abfe415518260ec96056f4727d6ceca18">lpt</a></td></tr>
<tr class="separator:abfe415518260ec96056f4727d6ceca18"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This is the main lpt module which initializes, solves, calls monitor variables etc. module. </p>
<p>The LPT Module is used to model fuel spray injection, the spark channel as well as cavitation </p><dl class="section author"><dt>Author</dt><dd>Joern Hinrichs </dd></dl>
<dl class="section date"><dt>Date</dt><dd>27.03.2015 Joern Hinrichs added documentation </dd></dl>
</div><h2 class="groupheader">Function/Subroutine Documentation</h2>
<a id="a4f7dcce423d9e383b7ca958d4f88d444"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4f7dcce423d9e383b7ca958d4f88d444">&#9670;&nbsp;</a></span>lpt_get_dt_max()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) function, public lpt_m::lpt_get_dt_max </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structvdf__defs_1_1vdf__.html">vdf_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>vdf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), intent(in)&#160;</td>
          <td class="paramname"><em>dt_in</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), intent(in)&#160;</td>
          <td class="paramname"><em>time_old</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacelpt__m.html#a9f31d78ee367d4c1366349892980cd47">first_lpt</a>, <a class="el" href="namespacelpt__spark.html#ab830a1313277a41dd03632b2526143c0">lpt_spark::lpt_spark_get_dt_max()</a>, and <a class="el" href="namespacelpt__spray.html#afadda3db84ee5ab196d28c3c381b17d8">lpt_spray::lpt_spray_get_dt_max()</a>.</p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacelpt__m_a4f7dcce423d9e383b7ca958d4f88d444_cgraph.png" border="0" usemap="#namespacelpt__m_a4f7dcce423d9e383b7ca958d4f88d444_cgraph" alt=""/></div>
<map name="namespacelpt__m_a4f7dcce423d9e383b7ca958d4f88d444_cgraph" id="namespacelpt__m_a4f7dcce423d9e383b7ca958d4f88d444_cgraph">
<area shape="rect" id="node2" href="namespacelpt__spark.html#ab830a1313277a41dd03632b2526143c0" title="lpt_spark::lpt_spark\l_get_dt_max" alt="" coords="204,50,340,91"/>
<area shape="rect" id="node5" href="namespacelpt__spray.html#afadda3db84ee5ab196d28c3c381b17d8" title="lpt_spray::lpt_spray\l_get_dt_max" alt="" coords="204,115,340,157"/>
<area shape="rect" id="node3" href="namespacelpt__spark__channel.html#aad801225f035035491f6db24e6413845" title="lpt_spark_channel::\llpt_spark_channel_get\l_dt_max" alt="" coords="401,5,553,61"/>
<area shape="rect" id="node4" href="namespacelpt__spark__kernel.html#ae6d709974a4339f8e081ba889a0c8587" title="lpt_spark_kernel::lpt\l_spark_kernel_get_dt_max" alt="" coords="388,86,567,127"/>
</map>
</div>
<div id="dynsection-1" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-1-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-1-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-1-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacelpt__m_a4f7dcce423d9e383b7ca958d4f88d444_icgraph.png" border="0" usemap="#namespacelpt__m_a4f7dcce423d9e383b7ca958d4f88d444_icgraph" alt=""/></div>
<map name="namespacelpt__m_a4f7dcce423d9e383b7ca958d4f88d444_icgraph" id="namespacelpt__m_a4f7dcce423d9e383b7ca958d4f88d444_icgraph">
<area shape="rect" id="node2" href="namespacearts__cf__func.html#a8f6c889ae3c75493e953c8d5026622a4" title="arts_cf_func::arts\l_cf_get_timestepsize" alt="" coords="204,5,351,47"/>
<area shape="rect" id="node3" href="namespacearts__func.html#a8d06a5e6ffb463e1cfffb6e6e039cd21" title="arts_func::arts_get\l_timestepsize" alt="" coords="212,71,343,112"/>
</map>
</div>

</div>
</div>
<a id="acc2a74921c2c02fb2ea5d53346bc0f26"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acc2a74921c2c02fb2ea5d53346bc0f26">&#9670;&nbsp;</a></span>lpt_init()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public lpt_m::lpt_init </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structvdf__defs_1_1vdf__.html">vdf_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>vdf</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>initializes the lpt module by reading in the relevant input flags </p>

<p class="reference">References <a class="el" href="namespacelpt__coal__parallel.html#a7d2a1b2e99efa86442f09c77bf273d93">lpt_coal_parallel::create_mpi_coal_part_type()</a>, <a class="el" href="namespacelpt__parallel.html#a4242c87e12c5a46f2f064daf98fa7475">lpt_parallel::create_mpi_part_type()</a>, <a class="el" href="namespacelpt__m.html#a9f31d78ee367d4c1366349892980cd47">first_lpt</a>, <a class="el" href="namespacelpt__m.html#abfe415518260ec96056f4727d6ceca18">lpt</a>, <a class="el" href="namespacelpt__coal.html#a877cea62c9f56e50fbd89a971883d9d3">lpt_coal::lpt_coal_init()</a>, <a class="el" href="namespacelpt__euler__src.html#a72c15a47bec7587651c5d23bd019d9ba">lpt_euler_src::lpt_euler_src_init()</a>, <a class="el" href="namespacelpt__io.html#ab6dc2bff5f7806537c7bedf9bcf7b991">lpt_io::lpt_io_init()</a>, <a class="el" href="namespacelpt__io.html#a9b6830a5af10d0aecb42a3b12dedb175">lpt_io::lpt_read()</a>, <a class="el" href="namespacelpt__rk__solver.html#a9d336ce39925fe24c95bfa7627353488">lpt_rk_solver::lpt_rk_solver_init()</a>, <a class="el" href="namespacelpt__spark.html#a7837c54b15647fb9af8590aeb93f18fd">lpt_spark::lpt_spark_init1()</a>, <a class="el" href="namespacelpt__spark.html#a6567ebb65dcdb0ccde22279b099b5238">lpt_spark::lpt_spark_init2()</a>, <a class="el" href="namespacelpt__spray.html#a7c0c732261cb36c8a062fbbfd2216f3b">lpt_spray::lpt_spray_init()</a>, <a class="el" href="namespacelpt__src__term__distribution.html#ab40cc14e651cc676bb0e9d589071385f">lpt_src_term_distribution::lpt_src_init()</a>, <a class="el" href="namespacelpt__parallel.html#a7cedf9298ecf55a350ad44292fa88e26">lpt_parallel::lpt_structure_init()</a>, <a class="el" href="namespacelpt__utils.html#a7be1e3b175f3330065d5b259f6b887e9">lpt_utils::lpt_update_nd_coal()</a>, <a class="el" href="namespacelpt__utils.html#a22c131260eb42919a68a715bd4db3681">lpt_utils::lpt_update_rho_coal()</a>, <a class="el" href="namespacelpt__wall__film.html#a96f4be54c911934e9ca2c8618d787c7f">lpt_wall_film::lpt_wall_film_init()</a>, <a class="el" href="namespacelpt__wall__func.html#aef25a8e682020c2a157848a7b91ed5eb">lpt_wall_func::lpt_wall_init()</a>, <a class="el" href="namespacetiming__func.html#a4163abb561b89527af44f21ef2675f4f">timing_func::timing_create()</a>, <a class="el" href="namespacetiming__func.html#a776e2a5455103b78c7a9a26f1e638f1c">timing_func::timing_start()</a>, <a class="el" href="namespacetiming__func.html#aa639b61a260c425d315e0a03a7095b5f">timing_func::timing_stop()</a>, and <a class="el" href="namespacelpt__wall__film.html#adb6ded4af1f9c06b7e38a74a3cefb0b2">lpt_wall_film::tiny</a>.</p>
<div id="dynsection-2" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-2-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-2-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-2-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacelpt__m_acc2a74921c2c02fb2ea5d53346bc0f26_cgraph.png" border="0" usemap="#namespacelpt__m_acc2a74921c2c02fb2ea5d53346bc0f26_cgraph" alt=""/></div>
<map name="namespacelpt__m_acc2a74921c2c02fb2ea5d53346bc0f26_cgraph" id="namespacelpt__m_acc2a74921c2c02fb2ea5d53346bc0f26_cgraph">
<area shape="rect" id="node2" href="namespacelpt__coal__parallel.html#a7d2a1b2e99efa86442f09c77bf273d93" title="lpt_coal_parallel::\lcreate_mpi_coal_part_type" alt="" coords="158,287,337,328"/>
<area shape="rect" id="node4" href="namespacelpt__parallel.html#a4242c87e12c5a46f2f064daf98fa7475" title="lpt_parallel::create\l_mpi_part_type" alt="" coords="183,5,311,47"/>
<area shape="rect" id="node5" href="namespacelpt__coal.html#a877cea62c9f56e50fbd89a971883d9d3" title="lpt_coal::lpt_coal_init" alt="" coords="175,1738,319,1765"/>
<area shape="rect" id="node11" href="namespacelpt__euler__src.html#a72c15a47bec7587651c5d23bd019d9ba" title="lpt_euler_src::lpt\l_euler_src_init" alt="" coords="188,1497,307,1539"/>
<area shape="rect" id="node12" href="namespacelpt__io.html#ab6dc2bff5f7806537c7bedf9bcf7b991" title="lpt_io::lpt_io_init" alt="" coords="189,1855,305,1882"/>
<area shape="rect" id="node13" href="namespacelpt__io.html#a9b6830a5af10d0aecb42a3b12dedb175" title="lpt_io::lpt_read" alt="" coords="194,519,301,546"/>
<area shape="rect" id="node19" href="namespacelpt__rk__solver.html#a9d336ce39925fe24c95bfa7627353488" title="lpt_rk_solver::lpt\l_rk_solver_init" alt="" coords="188,1563,307,1604"/>
<area shape="rect" id="node20" href="namespacelpt__spark.html#a7837c54b15647fb9af8590aeb93f18fd" title="lpt_spark::lpt_spark\l_init1" alt="" coords="179,1672,315,1713"/>
<area shape="rect" id="node26" href="namespacelpt__spark.html#a6567ebb65dcdb0ccde22279b099b5238" title="lpt_spark::lpt_spark\l_init2" alt="" coords="179,1907,315,1948"/>
<area shape="rect" id="node28" href="namespacelpt__spray.html#a7c0c732261cb36c8a062fbbfd2216f3b" title="lpt_spray::lpt_spray_init" alt="" coords="167,1074,327,1101"/>
<area shape="rect" id="node41" href="namespacelpt__src__term__distribution.html#ab40cc14e651cc676bb0e9d589071385f" title="lpt_src_term_distribution\l::lpt_src_init" alt="" coords="165,388,329,429"/>
<area shape="rect" id="node43" href="namespacelpt__parallel.html#a7cedf9298ecf55a350ad44292fa88e26" title="lpt_parallel::lpt_structure_init" alt="" coords="153,1973,341,1999"/>
<area shape="rect" id="node44" href="namespacelpt__utils.html#a7be1e3b175f3330065d5b259f6b887e9" title="lpt_utils::lpt_update\l_nd_coal" alt="" coords="180,2024,315,2065"/>
<area shape="rect" id="node45" href="namespacelpt__utils.html#a22c131260eb42919a68a715bd4db3681" title="lpt_utils::lpt_update\l_rho_coal" alt="" coords="180,2089,315,2131"/>
<area shape="rect" id="node46" href="namespacelpt__wall__film.html#a96f4be54c911934e9ca2c8618d787c7f" title="lpt_wall_film::lpt\l_wall_film_init" alt="" coords="189,1789,305,1831"/>
<area shape="rect" id="node47" href="namespacelpt__wall__func.html#aef25a8e682020c2a157848a7b91ed5eb" title="lpt_wall_func::lpt\l_wall_init" alt="" coords="187,2155,307,2196"/>
<area shape="rect" id="node48" href="namespacetiming__func.html#a4163abb561b89527af44f21ef2675f4f" title="timing_func::timing\l_create" alt="" coords="181,73,313,115"/>
<area shape="rect" id="node49" href="namespacetiming__func.html#a776e2a5455103b78c7a9a26f1e638f1c" title="timing_func::timing\l_start" alt="" coords="181,143,313,184"/>
<area shape="rect" id="node50" href="namespacetiming__func.html#aa639b61a260c425d315e0a03a7095b5f" title="timing_func::timing_stop" alt="" coords="165,218,329,245"/>
<area shape="rect" id="node3" href="nga__func_8f90.html#aee41a5c53bddcfa0c97c3013b50fc977" title="die" alt="" coords="729,187,768,214"/>
<area shape="rect" id="node6" href="namespacecoal__model__m.html#a6ebcab1451ccf82c5f294c23263ca246" title="coal_model_m::coal\l_register" alt="" coords="425,2064,564,2105"/>
<area shape="rect" id="node7" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5" title="graceful_exit" alt="" coords="701,1315,797,1342"/>
<area shape="rect" id="node8" href="namespacelpt__coal__monitor__m.html#a8bd8598957e7442cb4d9aef286c52e32" title="lpt_coal_monitor_m\l::lpt_coal_monitor_init" alt="" coords="420,2129,569,2171"/>
<area shape="rect" id="node9" href="namespacelpt__coal__mot.html#a1a468871be560faa4d753db416be178e" title="lpt_coal_mot::lpt_coal\l_mot_init" alt="" coords="420,1933,569,1975"/>
<area shape="rect" id="node10" href="namespacelpt__coal__source.html#acc4927f0edb359dfa201f8827e7a2c06" title="lpt_coal_source::lpt\l_coal_source_init" alt="" coords="427,1999,562,2040"/>
<area shape="rect" id="node14" href="namespacelpt__io__header.html#a7cd8e29dbe6960af6d91f3f58fefa0a0" title="lpt_io_header::cleanup\l_lpt_header" alt="" coords="419,512,571,553"/>
<area shape="rect" id="node15" href="namespacelpt__io__header.html#a610998b42e150570a3be20643cf912ee" title="lpt_io_header::init\l_lpt_header" alt="" coords="433,447,557,488"/>
<area shape="rect" id="node16" href="lpt__io_8f90.html#ac9d17f202ca5c72cf6312fa82fd39106" title="lpt_read_data" alt="" coords="445,578,545,605"/>
<area shape="rect" id="node17" href="namespacelpt__spray__io.html#af9efe951af221cec31952e02d10d9759" title="lpt_spray_io::lpt_spray\l_read_prev" alt="" coords="418,329,571,371"/>
<area shape="rect" id="node18" href="namespacelpt__parallel.html#ad699ed5b0bdcb098b2cb8c427b03d789" title="lpt_parallel::lpt_communication" alt="" coords="648,517,849,543"/>
<area shape="rect" id="node21" href="namespacelpt__spark__electr__cir.html#a7708255b52e306a5cd906db3f4cee2dc" title="lpt_spark_electr_cir\l::lpt_spark_electr_cir_init" alt="" coords="411,1737,578,1779"/>
<area shape="rect" id="node22" href="namespacelpt__spark__channel.html#adf373df48ad1639a1be35066c09a411f" title="lpt_spark_channel::\llpt_spark_channel_init" alt="" coords="419,1607,570,1648"/>
<area shape="rect" id="node23" href="namespacelpt__spark__kernel.html#a20741ad824eaa7c63029fe77a1ae7027" title="lpt_spark_kernel::lpt\l_spark_kernel_init1" alt="" coords="425,1672,564,1713"/>
<area shape="rect" id="node24" href="namespacelpt__spark__parallel.html#a4bb0bd194ad8bfcd1382b9bb75245df2" title="lpt_spark_parallel\l::lpt_spark_parallel_init" alt="" coords="417,1868,572,1909"/>
<area shape="rect" id="node25" href="namespacelpt__spark__monitor__m.html#addb69e1bcd54b82aeb85904035e7fda4" title="lpt_spark_monitor_m\l::lpt_spark_monitor_init" alt="" coords="416,1803,573,1844"/>
<area shape="rect" id="node27" href="namespacelpt__spark__kernel.html#a53cda6339d034aef8be5e01a11971b6a" title="lpt_spark_kernel::lpt\l_spark_kernel_init2" alt="" coords="425,2297,564,2339"/>
<area shape="rect" id="node29" href="namespacelpt__spray__data.html#a26c8be778f622def99c394434f6b4ee0" title="lpt_spray_data::set\l_default_spray_data" alt="" coords="425,1373,564,1415"/>
<area shape="rect" id="node30" href="namespacelpt__spray__mot.html#aee5c2f95769806ecdd48ae7ae2902156" title="lpt_spray_mot::lpt\l_spray_mot_init" alt="" coords="431,1439,558,1480"/>
<area shape="rect" id="node31" href="namespacelpt__spray__props.html#a92f2eb1d4f52b177531c0ae0b6ebfb25" title="lpt_spray_props::lpt\l_spray_props_init" alt="" coords="427,747,563,788"/>
<area shape="rect" id="node32" href="namespacelpt__spray__evap.html#a2da33ea3e03961989ce0afe8dab180dc" title="lpt_spray_evap::lpt\l_spray_evap_init" alt="" coords="429,629,561,671"/>
<area shape="rect" id="node33" href="namespacelpt__spray__source.html#a48ff00e18ac1ce8801a19f8060a23191" title="lpt_spray_source::lpt\l_spray_source_init" alt="" coords="423,1243,566,1284"/>
<area shape="rect" id="node34" href="namespacelpt__spray__sbreakup.html#a6792a069827a616b7241297a0b952544" title="lpt_spray_sbreakup\l::lpt_spray_sbreakup_init" alt="" coords="411,1308,578,1349"/>
<area shape="rect" id="node35" href="namespacelpt__spray__collision.html#a23aa8d2bb3657178a8965dc014e5646f" title="lpt_spray_collision\l::lpt_spray_collision_init" alt="" coords="414,1125,575,1167"/>
<area shape="rect" id="node36" href="namespacelpt__spray__wall.html#ab13169c93a5ac916ad2c58f65a0dcad9" title="lpt_spray_wall::lpt\l_spray_wall_init" alt="" coords="431,812,558,853"/>
<area shape="rect" id="node37" href="namespacelpt__spray__monitor__m.html#ab4a9a55afc6bf84452d3f4c9b6b4b98e" title="lpt_spray_monitor_m\l::lpt_spray_monitor_init" alt="" coords="416,877,573,919"/>
<area shape="rect" id="node38" href="namespacelpt__spray__single__particles__monitor__m.html#aedeb31160c87890f200eb399e47b0604" title="lpt_spray_single_particles\l_monitor_m::lpt_spray_single\l_particles_monitor_init" alt="" coords="399,943,591,999"/>
<area shape="rect" id="node39" href="namespacescalar__defs.html#a90f1a6cd139a125ed62a43bfea887851" title="scalar_defs::get_scalar" alt="" coords="416,1023,573,1050"/>
<area shape="rect" id="node40" href="namespacedata__xx__get.html#abc596782e05bdd6e72939c2e4fd24c36" title="data_xx_get::get_r3" alt="" coords="426,1074,563,1101"/>
<area shape="rect" id="node42" href="namespacelpt__parallel.html#a964408f60dfea6805f4a5e3edca9fdbd" title="lpt_parallel::create\l_mpi_src_term_distribution_type" alt="" coords="389,264,600,305"/>
</map>
</div>
<div id="dynsection-3" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-3-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-3-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-3-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacelpt__m_acc2a74921c2c02fb2ea5d53346bc0f26_icgraph.png" border="0" usemap="#namespacelpt__m_acc2a74921c2c02fb2ea5d53346bc0f26_icgraph" alt=""/></div>
<map name="namespacelpt__m_acc2a74921c2c02fb2ea5d53346bc0f26_icgraph" id="namespacelpt__m_acc2a74921c2c02fb2ea5d53346bc0f26_icgraph">
<area shape="rect" id="node2" href="namespacearts__cf__func.html#a50bc2665fa6d78325254059159708464" title="arts_cf_func::arts\l_cf_field_init" alt="" coords="172,71,296,112"/>
<area shape="rect" id="node8" href="namespacearts__cf__md__func.html#a9ac6a3453df2bbba3ab5f88bcf9b0047" title="arts_cf_md_func::arts\l_cf_md_field_init_2" alt="" coords="159,136,309,177"/>
<area shape="rect" id="node12" href="namespacearts__func.html#a9e0387162024ff0bcadaa54ff4d61416" title="arts_func::arts_field_init" alt="" coords="153,202,315,229"/>
<area shape="rect" id="node15" href="namespacearts__md__func.html#a6fc1e169764898dc1480e36da8b00b65" title="arts_md_func::arts\l_md_field_init_2" alt="" coords="169,253,299,295"/>
<area shape="rect" id="node3" href="namespacearts__cf__simulation.html#af2d1163d95721767351f7dbb56de3e99" title="Initialize hooks, cfd fields, monitors. " alt="" coords="378,71,511,112"/>
<area shape="rect" id="node4" href="namespacearts__cf__simulation.html#a372b0da189959755baaea7c5d75bf9fb" title="Initialization routine of the solver. " alt="" coords="587,5,715,47"/>
<area shape="rect" id="node6" href="namespacearts__wc__simulation.html#a532738af4bf9c2cb151dab03e904cc21" title="arts_wc_simulation\l::arts_wc_init" alt="" coords="584,71,719,112"/>
<area shape="rect" id="node5" href="arts__cf_2arts__cf_8f90.html#a13528375d4b5e020a805447928524906" title="arts_cf" alt="" coords="788,13,851,39"/>
<area shape="rect" id="node7" href="arts__cf_2arts__wc_8f90.html#af7bb7cfbac3d52067a278f3367ac7ccd" title="arts_wc" alt="" coords="785,78,853,105"/>
<area shape="rect" id="node9" href="namespacearts__cf__md__simulation.html#a7984ae1202b094dffd67b2fcea3de6a9" title="arts_cf_md_simulation\l::arts_cf_md_init_step2" alt="" coords="365,136,524,177"/>
<area shape="rect" id="node10" href="namespacearts__cf__md__simulation.html#aa5a60d8d1a2413b4193975df17106464" title="arts_cf_md_simulation\l::arts_cf_md_init" alt="" coords="575,136,728,177"/>
<area shape="rect" id="node11" href="arts__cf_2arts__cf__md_8f90.html#acce0fc0bbf137cebf13cf5f9deb9d4d9" title="arts_cf_md" alt="" coords="776,143,863,170"/>
<area shape="rect" id="node13" href="namespacearts__simulation.html#a043130c34ce9a9b4a1ea96faa8be3692" title="arts_simulation::arts_init" alt="" coords="363,202,527,229"/>
<area shape="rect" id="node14" href="arts_2arts_8f90.html#af1c66b7de825dc059b3c2d83c726a207" title="arts" alt="" coords="629,202,673,229"/>
<area shape="rect" id="node16" href="namespacearts__md__simulation.html#a07a348b3d2bce7784d60da5fc200367e" title="arts_md_simulation\l::arts_md_init_step2" alt="" coords="375,253,515,295"/>
<area shape="rect" id="node17" href="namespacearts__md__simulation.html#afd5f62079c0790e0bdad1f7bfb766a29" title="arts_md_simulation\l::arts_md_init" alt="" coords="584,253,719,295"/>
<area shape="rect" id="node18" href="arts_2arts__md_8f90.html#a448e6c85f77623da832aacf3910ed2b3" title="arts_md" alt="" coords="785,261,854,287"/>
</map>
</div>

</div>
</div>
<a id="ae62bc7d4269c189095f1d5de492a4842"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae62bc7d4269c189095f1d5de492a4842">&#9670;&nbsp;</a></span>lpt_monitor()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public lpt_m::lpt_monitor </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structvdf__defs_1_1vdf__.html">vdf_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>vdf</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>updates the lpt monitor variables each timestep </p>

<p class="reference">References <a class="el" href="namespacelpt__m.html#a9f31d78ee367d4c1366349892980cd47">first_lpt</a>, <a class="el" href="namespacelpt__m.html#abfe415518260ec96056f4727d6ceca18">lpt</a>, <a class="el" href="namespacelpt__coal.html#ad62ceb530fcbd00ea04cd7d2a416369e">lpt_coal::lpt_coal_monitor()</a>, <a class="el" href="namespacelpt__spark.html#a6104b258a75f1a3a9d549369a8c361ac">lpt_spark::lpt_spark_monitor()</a>, <a class="el" href="namespacelpt__spray.html#a2d99ecc7f50ac4b4ccab5c5b853da425">lpt_spray::lpt_spray_monitor()</a>, and <a class="el" href="namespacelpt__wall__film.html#ac8dcac4d097c16718060166cac15910b">lpt_wall_film::lpt_wall_film_monitor()</a>.</p>
<div id="dynsection-4" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-4-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-4-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-4-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacelpt__m_ae62bc7d4269c189095f1d5de492a4842_cgraph.png" border="0" usemap="#namespacelpt__m_ae62bc7d4269c189095f1d5de492a4842_cgraph" alt=""/></div>
<map name="namespacelpt__m_ae62bc7d4269c189095f1d5de492a4842_cgraph" id="namespacelpt__m_ae62bc7d4269c189095f1d5de492a4842_cgraph">
<area shape="rect" id="node2" href="namespacelpt__coal.html#ad62ceb530fcbd00ea04cd7d2a416369e" title="lpt_coal::lpt_coal\l_monitor" alt="" coords="188,114,308,155"/>
<area shape="rect" id="node4" href="namespacelpt__spark.html#a6104b258a75f1a3a9d549369a8c361ac" title="lpt_spark::lpt_spark\l_monitor" alt="" coords="180,207,316,249"/>
<area shape="rect" id="node9" href="namespacelpt__spray.html#a2d99ecc7f50ac4b4ccab5c5b853da425" title="lpt_spray::lpt_spray\l_monitor" alt="" coords="180,319,316,361"/>
<area shape="rect" id="node27" href="namespacelpt__wall__film.html#ac8dcac4d097c16718060166cac15910b" title="lpt_wall_film::lpt\l_wall_film_monitor" alt="" coords="183,501,313,542"/>
<area shape="rect" id="node3" href="namespacelpt__coal__monitor__m.html#adb764d45019f13211bfd08caf07489a2" title="lpt_coal_monitor_m\l::lpt_coal_monitor_update" alt="" coords="375,99,545,141"/>
<area shape="rect" id="node5" href="namespacelpt__spark__monitor__m.html#af1ffda23bd4783f615284da92f23c4c5" title="lpt_spark_monitor_m\l::lpt_spark_monitor\l_update" alt="" coords="389,165,531,221"/>
<area shape="rect" id="node6" href="namespacelpt__spark__channel.html#a6aff264dbcadf6359fd75228b0e34fd1" title="lpt_spark_channel::\llpt_spark_channel_monitor\l_update" alt="" coords="604,5,781,61"/>
<area shape="rect" id="node7" href="namespacelpt__spark__kernel.html#ad9c37f2b6bab9718a4f9629c55b1296d" title="lpt_spark_kernel::lpt\l_spark_kernel_monitor\l_update" alt="" coords="616,85,769,141"/>
<area shape="rect" id="node8" href="namespacelpt__spark__parallel.html#aad47ee67e14dd332786889104027dfa8" title="lpt_spark_parallel\l::lpt_spark_parallel\l_monitor_update" alt="" coords="627,165,758,221"/>
<area shape="rect" id="node10" href="namespacelpt__spray__monitor__m.html#a9622511242af44dd43591e49e628ed98" title="lpt_spray_monitor_m\l::lpt_spray_monitor\l_update" alt="" coords="389,245,531,301"/>
<area shape="rect" id="node15" href="namespacelpt__spray__collision.html#a96c70767555c17862e06e5f4fa123512" title="lpt_spray_collision\l::lpt_spray_collision\l_monitor_update" alt="" coords="391,325,529,381"/>
<area shape="rect" id="node16" href="namespacelpt__spray__single__particles__monitor__m.html#a9f7bb5cf85eafbf7f8add39e2ee5ebbc" title="lpt_spray_single_particles\l_monitor_m::lpt_spray_single\l_particles_monitor_update" alt="" coords="364,405,556,461"/>
<area shape="rect" id="node11" href="namespacelpt__spray__utils.html#a01e7942a9ed60b6a5fdbf64cf1bfabc0" title="lpt_spray_utils::lpt\l_spray_penetr" alt="" coords="629,326,757,367"/>
<area shape="rect" id="node14" href="namespacelpt__spray__evap.html#a6820888a6809e6139d46cd38fa3107f8" title="updates evaporation monitor variables " alt="" coords="619,245,766,301"/>
<area shape="rect" id="node12" href="namespacelpt__utils.html#a8f92c3d5f8c43369ba1d3524f65f4076" title="lpt_utils::lpt_project\l_vector" alt="" coords="857,234,991,275"/>
<area shape="rect" id="node13" href="namespacelpt__utils.html#a10d3f68afc737706af95ee9fa85f68ba" title="lpt_utils::lpt_normalize\l_vector" alt="" coords="1074,234,1226,275"/>
<area shape="rect" id="node17" href="namespaceparser.html#a78c63fa231dbf4d7adae5c4ba724d6ee" title="parser::get_param" alt="" coords="629,460,756,487"/>
<area shape="rect" id="node24" href="namespaceparser.html#a672f9533d208535f5b0268200dafbf83" title="parser::end_of_a_param" alt="" coords="611,409,774,436"/>
<area shape="rect" id="node25" href="namespacelpt__interpolate__m.html#af087c80a6a86641251838154b59d56a6" title="lpt_interpolate_m::\llpt_interpolate" alt="" coords="628,511,757,553"/>
<area shape="rect" id="node18" href="namespaceparser.html#a91aaf4597fa9c7a14a57273280085469" title="parser::reset_tag_list" alt="" coords="852,351,996,377"/>
<area shape="rect" id="node19" href="namespaceparser.html#a34f545c81b46c08e17a82c1628281242" title="parser::add_tag_to_list" alt="" coords="847,401,1001,428"/>
<area shape="rect" id="node20" href="namespaceparser.html#ae0cbde482df428447cce9a30d81332e7" title="parser::compare_tag\l_param" alt="" coords="853,453,995,494"/>
<area shape="rect" id="node21" href="namespaceparser.html#ae72f9b0f3318c3dc4c2290a3c543d78b" title="parser::compare_domain\l_param" alt="" coords="841,518,1007,559"/>
<area shape="rect" id="node22" href="namespaceparser.html#a99f99745577c0d4e01da2a949b601bf0" title="parser::in_param_rewind_tag" alt="" coords="829,584,1019,611"/>
<area shape="rect" id="node23" href="namespaceparser.html#ab0e00b1de2b23d9655cc7707e51ebae9" title="parser::in_param_rewind" alt="" coords="842,300,1006,327"/>
<area shape="rect" id="node26" href="namespacelpt__utils.html#ab60167344c53e09e9b89ba973295df1e" title="lpt_utils::lpt_cart2cyl" alt="" coords="1079,664,1221,691"/>
<area shape="rect" id="node28" href="namespacelpt__wall__film__monitor__m.html#a4df09a4f5c53c9ddba43346bae136b2c" title="lpt_wall_film_monitor\l_m::lpt_wall_film_monitor\l_update" alt="" coords="375,751,545,807"/>
<area shape="rect" id="node38" href="namespacelpt__wall__film__single__particles__monitor__m.html#ae869da64ccd7559febe01f94b29efadc" title="lpt_wall_film_single\l_particles_monitor_m\l::lpt_wall_film_single\l_particles_monitor_update" alt="" coords="373,486,547,557"/>
<area shape="rect" id="node29" href="namespacelpt__wall__film__monitor__m.html#a9a90de782e0b59932db4cff6348839ca" title="lpt_wall_film_monitor\l_m::lpt_film_particle\l_mot_monitor" alt="" coords="621,711,765,767"/>
<area shape="rect" id="node36" href="namespacelpt__wall__film__evap.html#a1b8f85202aa4594033eb10ab9c67d60f" title="updates evaporation monitor variables " alt="" coords="624,791,761,847"/>
<area shape="rect" id="node37" href="namespacelpt__wall__film__mot.html#a7e0b7ebc1691c6c38cbc638d5b25079d" title="updates wall film motion monitor variables " alt="" coords="606,871,779,927"/>
<area shape="rect" id="node30" href="namespacelpt__locator.html#a11e3d4691d8bdc970c086ee89ae1968e" title="lpt_locator::lpt_get\l_block" alt="" coords="859,686,989,727"/>
<area shape="rect" id="node31" href="namespaceobject__tools__m.html#a136a61f820540f800d5bd334519b117d" title="object_tools_m::convert\l_r2i_geom" alt="" coords="843,751,1005,793"/>
<area shape="rect" id="node32" href="namespacesd__masks__by__object.html#ab08acdc1a4631444a5946a437139939d" title="sd_masks_by_object\l::get_closest_point\l_object" alt="" coords="851,817,997,873"/>
<area shape="rect" id="node33" href="sd__masks__by__object_8f90.html#a273ee11570f0503541326f495bd4e384" title="update_closest_point_stl" alt="" coords="1067,807,1233,833"/>
<area shape="rect" id="node34" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5" title="graceful_exit" alt="" coords="1102,857,1198,884"/>
<area shape="rect" id="node35" href="namespaceparallel__m.html#ae68125c2a7308b012ad20d301b6d3d81" title="parallel_m::parallel\l_final" alt="" coords="1281,850,1412,891"/>
</map>
</div>
<div id="dynsection-5" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-5-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-5-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-5-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacelpt__m_ae62bc7d4269c189095f1d5de492a4842_icgraph.png" border="0" usemap="#namespacelpt__m_ae62bc7d4269c189095f1d5de492a4842_icgraph" alt=""/></div>
<map name="namespacelpt__m_ae62bc7d4269c189095f1d5de492a4842_icgraph" id="namespacelpt__m_ae62bc7d4269c189095f1d5de492a4842_icgraph">
<area shape="rect" id="node2" href="namespacearts__cf__md__simulation.html#a7984ae1202b094dffd67b2fcea3de6a9" title="arts_cf_md_simulation\l::arts_cf_md_init_step2" alt="" coords="183,39,341,80"/>
<area shape="rect" id="node5" href="arts__cf__md__simulation_8f90.html#a045f222d3fe1b20f8a61f540ca245df9" title="step_2" alt="" coords="231,375,293,402"/>
<area shape="rect" id="node6" href="namespacearts__cf__simulation.html#af2d1163d95721767351f7dbb56de3e99" title="Initialize hooks, cfd fields, monitors. " alt="" coords="195,136,329,177"/>
<area shape="rect" id="node11" href="namespacearts__cf__simulation.html#abdb8027338aa355baf9c6d9f73c97032" title="Post&#45;step. " alt="" coords="198,495,326,536"/>
<area shape="rect" id="node15" href="namespacearts__simulation.html#a043130c34ce9a9b4a1ea96faa8be3692" title="arts_simulation::arts_init" alt="" coords="180,325,344,351"/>
<area shape="rect" id="node17" href="namespacearts__simulation.html#a620c49349fe0e4c7cf28b109aaa0bdbc" title="arts_simulation::arts\l_poststep" alt="" coords="192,259,332,300"/>
<area shape="rect" id="node3" href="namespacearts__cf__md__simulation.html#aa5a60d8d1a2413b4193975df17106464" title="arts_cf_md_simulation\l::arts_cf_md_init" alt="" coords="392,5,545,47"/>
<area shape="rect" id="node4" href="arts__cf_2arts__cf__md_8f90.html#acce0fc0bbf137cebf13cf5f9deb9d4d9" title="arts_cf_md" alt="" coords="603,13,690,39"/>
<area shape="rect" id="node7" href="namespacearts__cf__simulation.html#a372b0da189959755baaea7c5d75bf9fb" title="Initialization routine of the solver. " alt="" coords="405,136,533,177"/>
<area shape="rect" id="node9" href="namespacearts__wc__simulation.html#a532738af4bf9c2cb151dab03e904cc21" title="arts_wc_simulation\l::arts_wc_init" alt="" coords="401,71,536,112"/>
<area shape="rect" id="node8" href="arts__cf_2arts__cf_8f90.html#a13528375d4b5e020a805447928524906" title="arts_cf" alt="" coords="615,114,678,141"/>
<area shape="rect" id="node10" href="arts__cf_2arts__wc_8f90.html#af7bb7cfbac3d52067a278f3367ac7ccd" title="arts_wc" alt="" coords="613,63,681,90"/>
<area shape="rect" id="node12" href="arts__cf_2arts__cf_8f90.html#ae28d576a7e640ac338dc0cfe39b4a2e3" title="simulation_run" alt="" coords="415,561,522,587"/>
<area shape="rect" id="node13" href="namespacearts__wc__simulation.html#ac20af3942c7b3d8ec4df423627724cd7" title="arts_wc_simulation\l::arts_wc_poststep" alt="" coords="401,495,536,536"/>
<area shape="rect" id="node14" href="arts__cf_2arts__wc_8f90.html#afc8fbe711a3d2872c20abc0b8848acb5" title="simulation_run" alt="" coords="593,570,700,597"/>
<area shape="rect" id="node16" href="arts_2arts_8f90.html#af1c66b7de825dc059b3c2d83c726a207" title="arts" alt="" coords="625,519,669,546"/>
<area shape="rect" id="node18" href="arts_2arts_8f90.html#a497ad2f15ec27f7e5bff2e078bffbf5d" title="simulation_run" alt="" coords="415,266,522,293"/>
<area shape="rect" id="node19" href="arts_2arts__md_8f90.html#a448e6c85f77623da832aacf3910ed2b3" title="arts_md" alt="" coords="612,215,681,242"/>
<area shape="rect" id="node20" href="nga__cf__bmix_8f90.html#a03498a029da62800ff43fa618657ae83" title="nga_cf_bmix" alt="" coords="599,266,695,293"/>
<area shape="rect" id="node21" href="nga__cf__cold_2nga__cf__cold_8f90.html#abb68a45d77deeb00b9d2eadec4755bbf" title="nga_cf_cold" alt="" coords="601,317,693,343"/>
<area shape="rect" id="node22" href="nga__if_2nga__if_8f90.html#ad0097941595a2ca34c36d82feb742ad0" title="nga_if" alt="" coords="618,367,675,394"/>
<area shape="rect" id="node23" href="nga__if__ib_2nga__if__ib_8f90.html#a40b85c09234cf3658b0935a7dda16f35" title="nga_if_ib" alt="" coords="609,418,684,445"/>
<area shape="rect" id="node24" href="nga__if_2nga__if__md_8f90.html#a16ff94900431e21a93779b3f14565de9" title="nga_cold_md" alt="" coords="597,469,696,495"/>
<area shape="rect" id="node25" href="nga__x_8f90.html#abec3e747113e9dd808fcf2010dac88a0" title="nga_x" alt="" coords="618,165,675,191"/>
</map>
</div>

</div>
</div>
<a id="ae264760ae4257bb35b2d26d5ad20c23a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae264760ae4257bb35b2d26d5ad20c23a">&#9670;&nbsp;</a></span>lpt_register_data()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public lpt_m::lpt_register_data </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structvdf__defs_1_1vdf__.html">vdf_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>vdf</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacelpt__m.html#a9f31d78ee367d4c1366349892980cd47">first_lpt</a>, <a class="el" href="namespaceparser.html#a78c63fa231dbf4d7adae5c4ba724d6ee">parser::get_param()</a>, <a class="el" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5">graceful_exit()</a>, <a class="el" href="namespaceparser.html#afe98c2a7b51f910e0c9f943ba122313c">parser::in_param_jump_to()</a>, <a class="el" href="namespacelpt__m.html#abfe415518260ec96056f4727d6ceca18">lpt</a>, <a class="el" href="namespacelpt__coal.html#a4211c99cc7d89781fffe2df58fa15686">lpt_coal::lpt_coal_register_data()</a>, <a class="el" href="namespacelpt__spark.html#a92e894d7d3265f11b3129c38e0f209bc">lpt_spark::lpt_spark_register_data()</a>, <a class="el" href="namespacelpt__spray.html#a6c432900b56b44684f370ffc35fa038b">lpt_spray::lpt_spray_register_data()</a>, <a class="el" href="namespacelpt__wall__film.html#a553d8671806697ec27ba27bf538e08ba">lpt_wall_film::lpt_wall_film_register_data()</a>, <a class="el" href="namespacelpt__coal__data.html#a8934bdda6c0c50d3b2a1e34a4c7614b0">lpt_coal_data::nd_coal</a>, <a class="el" href="namespacelpt__coal__data.html#a93c668d3e5fef0453c78c7391578f558">lpt_coal_data::rho_char</a>, <a class="el" href="namespacelpt__coal__data.html#ac506bcd232b8c00d372ad1aaf1aba41d">lpt_coal_data::rho_coal</a>, <a class="el" href="namespacelpt__coal__data.html#a085b4b3d16e9fbc1b2a23f3cd7e7fda5">lpt_coal_data::rho_coal_c</a>, <a class="el" href="namespacelpt__coal__data.html#a410324d475144add7b6f4c16ea807cda">lpt_coal_data::rho_coal_v</a>, <a class="el" href="namespacelpt__coal__data.html#a50594ab06a35ba6fdb4240f8ce0a1f65">lpt_coal_data::rho_cross</a>, <a class="el" href="namespacelpt__coal__data.html#afa91b24c82b323ee98d875890cbdb6af">lpt_coal_data::rho_gas</a>, <a class="el" href="namespacelpt__coal__data.html#a72c18d8b74a27022ac2923f92e6e732b">lpt_coal_data::rho_meta</a>, <a class="el" href="namespacelpt__coal__data.html#a95d1d97e0b68cab7a4acc6a0a025af8e">lpt_coal_data::rho_tar</a>, <a class="el" href="namespaceparser.html#acefa5a2735f7ec139f6580dc7c54d6fa">parser::set_next_param()</a>, and <a class="el" href="namespaceprecision.html#ab2c8c94290e6d6f3c4a05236a4e6500e">precision::verbose</a>.</p>
<div id="dynsection-6" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-6-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-6-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-6-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacelpt__m_ae264760ae4257bb35b2d26d5ad20c23a_cgraph.png" border="0" usemap="#namespacelpt__m_ae264760ae4257bb35b2d26d5ad20c23a_cgraph" alt=""/></div>
<map name="namespacelpt__m_ae264760ae4257bb35b2d26d5ad20c23a_cgraph" id="namespacelpt__m_ae264760ae4257bb35b2d26d5ad20c23a_cgraph">
<area shape="rect" id="node2" href="namespaceparser.html#a78c63fa231dbf4d7adae5c4ba724d6ee" title="parser::get_param" alt="" coords="731,726,857,753"/>
<area shape="rect" id="node9" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5" title="graceful_exit" alt="" coords="1184,275,1280,302"/>
<area shape="rect" id="node11" href="namespaceparser.html#afe98c2a7b51f910e0c9f943ba122313c" title="parser::in_param_jump_to" alt="" coords="212,421,384,447"/>
<area shape="rect" id="node12" href="namespacelpt__coal.html#a4211c99cc7d89781fffe2df58fa15686" title="lpt_coal::lpt_coal\l_register_data" alt="" coords="238,472,358,513"/>
<area shape="rect" id="node13" href="namespacelpt__spark.html#a92e894d7d3265f11b3129c38e0f209bc" title="lpt_spark::lpt_spark\l_register_data" alt="" coords="230,71,366,112"/>
<area shape="rect" id="node16" href="namespacelpt__spray.html#a6c432900b56b44684f370ffc35fa038b" title="lpt_spray::lpt_spray\l_register_data" alt="" coords="230,537,366,579"/>
<area shape="rect" id="node28" href="namespacelpt__wall__film.html#a553d8671806697ec27ba27bf538e08ba" title="lpt_wall_film::lpt\l_wall_film_register_data" alt="" coords="217,793,379,835"/>
<area shape="rect" id="node30" href="namespaceparser.html#acefa5a2735f7ec139f6580dc7c54d6fa" title="parser::set_next_param" alt="" coords="715,777,873,803"/>
<area shape="rect" id="node3" href="namespaceparser.html#a91aaf4597fa9c7a14a57273280085469" title="parser::reset_tag_list" alt="" coords="969,726,1113,753"/>
<area shape="rect" id="node4" href="namespaceparser.html#a34f545c81b46c08e17a82c1628281242" title="parser::add_tag_to_list" alt="" coords="964,777,1119,803"/>
<area shape="rect" id="node5" href="namespaceparser.html#ae0cbde482df428447cce9a30d81332e7" title="parser::compare_tag\l_param" alt="" coords="971,828,1112,869"/>
<area shape="rect" id="node6" href="namespaceparser.html#ae72f9b0f3318c3dc4c2290a3c543d78b" title="parser::compare_domain\l_param" alt="" coords="959,893,1124,935"/>
<area shape="rect" id="node7" href="namespaceparser.html#a99f99745577c0d4e01da2a949b601bf0" title="parser::in_param_rewind_tag" alt="" coords="947,959,1136,986"/>
<area shape="rect" id="node8" href="namespaceparser.html#ab0e00b1de2b23d9655cc7707e51ebae9" title="parser::in_param_rewind" alt="" coords="959,675,1123,702"/>
<area shape="rect" id="node10" href="namespaceparallel__m.html#ae68125c2a7308b012ad20d301b6d3d81" title="parallel_m::parallel\l_final" alt="" coords="1328,268,1459,309"/>
<area shape="rect" id="node14" href="namespacelpt__spark__channel.html#a5e162b2456df9121677215db0b46bc85" title="lpt_spark_channel::\llpt_spark_channel_register_data" alt="" coords="432,5,641,47"/>
<area shape="rect" id="node15" href="namespacelpt__spark__kernel.html#a4e514a2a9e426e91f2ec6833d32cfaa5" title="lpt_spark_kernel::lpt\l_spark_kernel_register_data" alt="" coords="444,71,629,112"/>
<area shape="rect" id="node17" href="namespacevdf__scalar.html#a75b7c5edb2f3be095dcb9d13809b1b34" title="check if energy/temperature equation has been set. register the requested variable ..." alt="" coords="715,232,873,273"/>
<area shape="rect" id="node18" href="namespacethf__interface__lpt.html#a3025e096710941cf8a3f91f66259c880" title="set the ambient type used in lpt and some combustion routines ! " alt="" coords="715,494,873,550"/>
<area shape="rect" id="node20" href="namespacelpt__spray__multicomponent.html#ade9295ae6a6216a409bb4a2e77694d90" title="lpt_spray_multicomponent\l::lpt_spray_multicomp_init" alt="" coords="449,625,624,667"/>
<area shape="rect" id="node22" href="namespacethf__interface__lpt.html#ac49ff31f8c31217e84d6cc2065475ec8" title="public members " alt="" coords="452,424,621,465"/>
<area shape="rect" id="node19" href="namespacecombust__utils.html#aa461c2bc4fd9d65579038073d6309631" title="set the ambient type used in lpt and some combustion routines " alt="" coords="961,508,1122,549"/>
<area shape="rect" id="node21" href="namespaceparser.html#a672f9533d208535f5b0268200dafbf83" title="parser::end_of_a_param" alt="" coords="713,675,875,702"/>
<area shape="rect" id="node23" href="namespacecombust__lewis__number__m.html#aa585e6f94e7c17e0b56529beb64330b1" title="combust_lewis_number\l_m::combust_lewis_number_init" alt="" coords="689,399,899,440"/>
<area shape="rect" id="node24" href="lewis__number__m_8f90.html#a0d8b43b7daa108c87c4d1c8ab8d06e43" title="allocate_spec_arrays" alt="" coords="969,406,1114,433"/>
<area shape="rect" id="node25" href="namespacecombust__utils.html#a903a0e226e72c0c1408cb19a936d74f9" title="set the fuel type used in lpt and some combustion routines " alt="" coords="961,239,1122,280"/>
<area shape="rect" id="node26" href="mechanism-orig_8f90.html#aaad9e39bf6507d931c41ea95815c88a8" title="getnspecies" alt="" coords="995,457,1087,483"/>
<area shape="rect" id="node27" href="mechanism-orig_8f90.html#a6011e496d4333c14f90c9df7397cb184" title="getspeciesnames" alt="" coords="979,355,1103,382"/>
<area shape="rect" id="node29" href="namespacelpt__wall__film__parallel.html#a9c2683572c637a79a065b1a5d1462349" title="lpt_wall_film_parallel\l::lpt_wfilm_parallel_register" alt="" coords="447,793,627,835"/>
</map>
</div>
<div id="dynsection-7" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-7-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-7-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-7-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacelpt__m_ae264760ae4257bb35b2d26d5ad20c23a_icgraph.png" border="0" usemap="#namespacelpt__m_ae264760ae4257bb35b2d26d5ad20c23a_icgraph" alt=""/></div>
<map name="namespacelpt__m_ae264760ae4257bb35b2d26d5ad20c23a_icgraph" id="namespacelpt__m_ae264760ae4257bb35b2d26d5ad20c23a_icgraph">
<area shape="rect" id="node2" href="namespacearts__cf__func.html#aa030a7aae62b2adec333b630275bf1bc" title="arts_cf_func::arts\l_cf_register_data" alt="" coords="244,8,368,49"/>
<area shape="rect" id="node5" href="namespacearts__func.html#a24f560f380c1df354d954255fdf28072" title="arts_func::arts_register_data" alt="" coords="212,75,400,102"/>
<area shape="rect" id="node3" href="namespacearts__cf__simulation.html#a372b0da189959755baaea7c5d75bf9fb" title="Initialization routine of the solver. " alt="" coords="454,5,582,47"/>
<area shape="rect" id="node4" href="arts__cf_2arts__cf_8f90.html#a13528375d4b5e020a805447928524906" title="arts_cf" alt="" coords="687,13,749,39"/>
<area shape="rect" id="node6" href="namespacearts__simulation.html#a6f46c953aada929893fc5d2dfaac0f4c" title="arts_simulation::arts\l_init_step1" alt="" coords="448,71,588,112"/>
<area shape="rect" id="node7" href="namespacearts__simulation.html#a043130c34ce9a9b4a1ea96faa8be3692" title="arts_simulation::arts_init" alt="" coords="636,78,800,105"/>
<area shape="rect" id="node8" href="arts_2arts_8f90.html#af1c66b7de825dc059b3c2d83c726a207" title="arts" alt="" coords="848,78,892,105"/>
</map>
</div>

</div>
</div>
<a id="a169103869bed15388cda14febe0849a4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a169103869bed15388cda14febe0849a4">&#9670;&nbsp;</a></span>lpt_step()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public lpt_m::lpt_step </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structvdf__defs_1_1vdf__.html">vdf_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>vdf</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This subroutine calls the various solver subroutines to integrate the equations of the particle. </p>

<p class="reference">References <a class="el" href="namespacelpt__m.html#a9f31d78ee367d4c1366349892980cd47">first_lpt</a>, <a class="el" href="namespacelpt__m.html#abfe415518260ec96056f4727d6ceca18">lpt</a>, <a class="el" href="namespacelpt__coal.html#a31e9db374546fcf1d191a2bda7b4f0ad">lpt_coal::lpt_coal_poststep()</a>, <a class="el" href="namespacelpt__coal.html#a67b71dc05613a41b4fb257b4727a54f6">lpt_coal::lpt_coal_prestep()</a>, <a class="el" href="namespacelpt__euler__src.html#ad145a8b447d45985add5cc456f303d96">lpt_euler_src::lpt_euler_src_alloc_buf()</a>, <a class="el" href="namespacelpt__euler__src.html#a7a9d10c662145d45ad27488816c8fa8c">lpt_euler_src::lpt_euler_src_update_border()</a>, <a class="el" href="namespacelpt__euler__src.html#ad3816c5f1d7920765c83fee233bdfc9c">lpt_euler_src::lpt_euler_src_update_vdf()</a>, <a class="el" href="namespacelpt__spray__data.html#aca67f624ab32bed6d91044481b52cc09">lpt_spray_data::lpt_mass_out_</a>, <a class="el" href="namespacelpt__rk__solver.html#a6ce024e0d9427746fc27a0584ad351b7">lpt_rk_solver::lpt_rk_solver_part_post_step()</a>, <a class="el" href="namespacelpt__rk__solver.html#ac645efdc7ae56f54fe86639936b4eeb7">lpt_rk_solver::lpt_rk_solver_part_pre_step()</a>, <a class="el" href="namespacelpt__rk__solver.html#a49d069887b67a2a85fad278050cf1e97">lpt_rk_solver::lpt_rk_solver_post_step()</a>, <a class="el" href="namespacelpt__rk__solver.html#a8549b0700f1c8b5bfa232e0280e9ad0d">lpt_rk_solver::lpt_rk_solver_pre_step()</a>, <a class="el" href="namespacelpt__rk__solver.html#aecf3a11bbd68609282760ad77622118e">lpt_rk_solver::lpt_rk_solver_step()</a>, <a class="el" href="namespacelpt__spark.html#afc339fa3633ca399e0b0d09a0e3f739f">lpt_spark::lpt_spark_poststep()</a>, <a class="el" href="namespacelpt__spark.html#ab5d3c004471911871ccfafc6f349634a">lpt_spark::lpt_spark_prestep()</a>, <a class="el" href="namespacelpt__spray.html#ac4edf70dcd735c8a62b9ac3ce577b18a">lpt_spray::lpt_spray_poststep()</a>, <a class="el" href="namespacelpt__spray.html#af8124b89cc8112d962da1e1bdd0cbaf3">lpt_spray::lpt_spray_prestep()</a>, <a class="el" href="namespacelpt__src__term__distribution.html#a6499c77d2b1a207528d1e6e1d9831d7f">lpt_src_term_distribution::lpt_src_poststep()</a>, <a class="el" href="namespacelpt__src__term__distribution.html#aa8523962bb40ee203552ded607dfdf66">lpt_src_term_distribution::lpt_src_prestep()</a>, <a class="el" href="namespacelpt__utils.html#a7be1e3b175f3330065d5b259f6b887e9">lpt_utils::lpt_update_nd_coal()</a>, <a class="el" href="namespacelpt__utils.html#a22c131260eb42919a68a715bd4db3681">lpt_utils::lpt_update_rho_coal()</a>, <a class="el" href="namespacelpt__utils.html#a0fcd252139a4723dd93279353c963225">lpt_utils::lpt_update_vol_data()</a>, <a class="el" href="namespacelpt__wall__film.html#a17e1484fdcc6d83e33f04bc743f959e7">lpt_wall_film::lpt_wall_film_poststep()</a>, <a class="el" href="namespacelpt__wall__film.html#abfc82726ab9429b8ab335e3d402ccb9a">lpt_wall_film::lpt_wall_film_prestep()</a>, <a class="el" href="namespacelpt__wall__func.html#adcf4eeec0b46bfbe702398526f08f66d">lpt_wall_func::lpt_wall_prestep()</a>, <a class="el" href="namespacetiming__func.html#a776e2a5455103b78c7a9a26f1e638f1c">timing_func::timing_start()</a>, and <a class="el" href="namespacetiming__func.html#aa639b61a260c425d315e0a03a7095b5f">timing_func::timing_stop()</a>.</p>
<div id="dynsection-8" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-8-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-8-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-8-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacelpt__m_a169103869bed15388cda14febe0849a4_cgraph.png" border="0" usemap="#namespacelpt__m_a169103869bed15388cda14febe0849a4_cgraph" alt=""/></div>
<map name="namespacelpt__m_a169103869bed15388cda14febe0849a4_cgraph" id="namespacelpt__m_a169103869bed15388cda14febe0849a4_cgraph">
<area shape="rect" id="node2" href="namespacelpt__coal.html#a31e9db374546fcf1d191a2bda7b4f0ad" title="lpt_coal::lpt_coal\l_poststep" alt="" coords="189,9,309,51"/>
<area shape="rect" id="node5" href="namespacelpt__coal.html#a67b71dc05613a41b4fb257b4727a54f6" title="lpt_coal::lpt_coal\l_prestep" alt="" coords="189,133,309,175"/>
<area shape="rect" id="node8" href="namespacelpt__euler__src.html#ad145a8b447d45985add5cc456f303d96" title="lpt_euler_src::lpt\l_euler_src_alloc_buf" alt="" coords="178,391,319,432"/>
<area shape="rect" id="node9" href="namespacelpt__euler__src.html#a7a9d10c662145d45ad27488816c8fa8c" title="lpt_euler_src::lpt\l_euler_src_update_border" alt="" coords="163,456,334,497"/>
<area shape="rect" id="node11" href="namespacelpt__euler__src.html#ad3816c5f1d7920765c83fee233bdfc9c" title="lpt_euler_src::lpt\l_euler_src_update_vdf" alt="" coords="172,521,325,563"/>
<area shape="rect" id="node12" href="namespacelpt__rk__solver.html#a6ce024e0d9427746fc27a0584ad351b7" title="lpt_rk_solver::lpt\l_rk_solver_part_post_step" alt="" coords="161,587,336,628"/>
<area shape="rect" id="node19" href="namespacelpt__rk__solver.html#ac645efdc7ae56f54fe86639936b4eeb7" title="lpt_rk_solver::lpt\l_rk_solver_part_pre_step" alt="" coords="165,959,333,1000"/>
<area shape="rect" id="node26" href="namespacelpt__rk__solver.html#a49d069887b67a2a85fad278050cf1e97" title="lpt_rk_solver::lpt\l_rk_solver_post_step" alt="" coords="175,1205,322,1247"/>
<area shape="rect" id="node28" href="namespacelpt__rk__solver.html#a8549b0700f1c8b5bfa232e0280e9ad0d" title="lpt_rk_solver::lpt\l_rk_solver_pre_step" alt="" coords="179,1279,318,1320"/>
<area shape="rect" id="node30" href="namespacelpt__rk__solver.html#aecf3a11bbd68609282760ad77622118e" title="lpt_rk_solver::lpt\l_rk_solver_step" alt="" coords="189,1344,308,1385"/>
<area shape="rect" id="node37" href="namespacelpt__spark.html#afc339fa3633ca399e0b0d09a0e3f739f" title="lpt_spark::lpt_spark\l_poststep" alt="" coords="181,1409,317,1451"/>
<area shape="rect" id="node38" href="namespacelpt__spark.html#ab5d3c004471911871ccfafc6f349634a" title="lpt_spark::lpt_spark\l_prestep" alt="" coords="181,1475,317,1516"/>
<area shape="rect" id="node39" href="namespacelpt__spray.html#ac4edf70dcd735c8a62b9ac3ce577b18a" title="lpt_spray::lpt_spray\l_poststep" alt="" coords="181,1540,317,1581"/>
<area shape="rect" id="node40" href="namespacelpt__spray.html#af8124b89cc8112d962da1e1bdd0cbaf3" title="lpt_spray::lpt_spray\l_prestep" alt="" coords="181,1605,317,1647"/>
<area shape="rect" id="node41" href="namespacelpt__utils.html#a0fcd252139a4723dd93279353c963225" title="lpt_utils::lpt_update\l_vol_data" alt="" coords="418,1716,553,1757"/>
<area shape="rect" id="node42" href="namespacelpt__src__term__distribution.html#a6499c77d2b1a207528d1e6e1d9831d7f" title="lpt_src_term_distribution\l::lpt_src_poststep" alt="" coords="167,1723,331,1764"/>
<area shape="rect" id="node43" href="namespacelpt__src__term__distribution.html#aa8523962bb40ee203552ded607dfdf66" title="lpt_src_term_distribution\l::lpt_src_prestep" alt="" coords="167,1788,331,1829"/>
<area shape="rect" id="node44" href="namespacelpt__utils.html#a7be1e3b175f3330065d5b259f6b887e9" title="lpt_utils::lpt_update\l_nd_coal" alt="" coords="181,1853,316,1895"/>
<area shape="rect" id="node45" href="namespacelpt__utils.html#a22c131260eb42919a68a715bd4db3681" title="lpt_utils::lpt_update\l_rho_coal" alt="" coords="181,1919,316,1960"/>
<area shape="rect" id="node46" href="namespacelpt__wall__film.html#a17e1484fdcc6d83e33f04bc743f959e7" title="lpt_wall_film::lpt\l_wall_film_poststep" alt="" coords="180,1984,317,2025"/>
<area shape="rect" id="node47" href="namespacelpt__wall__film.html#abfc82726ab9429b8ab335e3d402ccb9a" title="lpt_wall_film::lpt\l_wall_film_prestep" alt="" coords="183,2049,314,2091"/>
<area shape="rect" id="node48" href="namespacelpt__wall__func.html#adcf4eeec0b46bfbe702398526f08f66d" title="lpt_wall_func::lpt\l_wall_prestep" alt="" coords="189,2115,309,2156"/>
<area shape="rect" id="node49" href="namespacetiming__func.html#a776e2a5455103b78c7a9a26f1e638f1c" title="timing_func::timing\l_start" alt="" coords="183,2180,315,2221"/>
<area shape="rect" id="node50" href="namespacetiming__func.html#aa639b61a260c425d315e0a03a7095b5f" title="timing_func::timing_stop" alt="" coords="167,2246,331,2273"/>
<area shape="rect" id="node3" href="namespacelpt__coal__parallel.html#a9c00942236a511045a358b3737a52156" title="lpt_coal_parallel::\llpt_coal_communication" alt="" coords="635,104,797,145"/>
<area shape="rect" id="node4" href="namespacelpt__utils.html#a36b041888abebc1b472303f23610e5c3" title="lpt_utils::lpt_coal\l_recycle" alt="" coords="845,133,965,175"/>
<area shape="rect" id="node6" href="namespacevdf__filter.html#a238ef1b1cd8d2b45ac7925493ed841f1" title="vdf_filter::filter\l_global_3d" alt="" coords="433,39,538,80"/>
<area shape="rect" id="node7" href="namespacelpt__coal__source.html#a29e9e2a2d96c5238f0eb0ac194718452" title="lpt_coal_source::lpt\l_coal_source_add" alt="" coords="418,104,553,145"/>
<area shape="rect" id="node10" href="namespacesd__communication.html#a19d2d9d0f9692db4be98fd0dd5cf2491" title="sd_communication::summation\l_border" alt="" coords="384,221,587,263"/>
<area shape="rect" id="node13" href="namespacelpt__spray.html#a9a759ffc16bbfde9485c0dccc6476671" title="lpt_spray::lpt_spray\l_solver_part_post_step" alt="" coords="407,433,564,475"/>
<area shape="rect" id="node14" href="namespacelpt__wall__film.html#ae4033d0d0168247c0b615b7cc149dd60" title="lpt_wall_film::lpt\l_wall_film_solver_part\l_post_step" alt="" coords="410,499,561,555"/>
<area shape="rect" id="node15" href="namespacelpt__spark__channel.html#a4c9f9ee1de86b2218451bc836d58e499" title="lpt_spark_channel::\llpt_spk_channel_rk_sol\l_part_post_step" alt="" coords="406,579,565,635"/>
<area shape="rect" id="node16" href="namespacelpt__spark__kernel.html#ad4a35fc1489eb074ccc829934afa7be1" title="lpt_spark_kernel::lpt\l_spark_kernel_rk_solver\l_part_post_step" alt="" coords="404,659,567,715"/>
<area shape="rect" id="node17" href="namespacelpt__spark__electr__cir.html#a73be5ba9fe7e48c87321346a5e62e5cf" title="lpt_spark_electr_cir\l::lpt_electr_cir_rk_solver\l_post_step" alt="" coords="403,287,567,343"/>
<area shape="rect" id="node18" href="namespacelpt__coal.html#ad25347952c5e62c5d24f9e85456fe3da" title="lpt_coal::lpt_coal\l_solver_part_post_step" alt="" coords="407,368,564,409"/>
<area shape="rect" id="node20" href="namespacelpt__spray.html#a3ce485f43fcefc05fd8c392580d647a3" title="lpt_spray::lpt_spray\l_solver_part_pre_step" alt="" coords="410,885,561,927"/>
<area shape="rect" id="node21" href="namespacelpt__wall__film.html#ae9ff49b8333d096a04b52b6551a7c197" title="lpt_wall_film::lpt\l_wall_film_solver_part\l_prestep" alt="" coords="410,951,561,1007"/>
<area shape="rect" id="node22" href="namespacelpt__spark__channel.html#a61d27b852b6b55219c8802fdb0a84568" title="lpt_spark_channel::\llpt_spark_channel_rk\l_part_prestep" alt="" coords="413,1031,558,1087"/>
<area shape="rect" id="node23" href="namespacelpt__spark__kernel.html#a00b9cf0362cf22408c664737307c4127" title="lpt_spark_kernel::lpt\l_spark_kernel_rk_part\l_prestep" alt="" coords="410,1111,561,1167"/>
<area shape="rect" id="node24" href="namespacelpt__spark__electr__cir.html#a51eeeb15493b5db988ed542d26241e0a" title="lpt_spark_electr_cir\l::lpt_electr_cir_rk_solver\l_pre_step" alt="" coords="403,739,567,795"/>
<area shape="rect" id="node25" href="namespacelpt__coal.html#aa27a478fb523f212bae60706cd611795" title="lpt_coal::lpt_coal\l_solver_part_pre_step" alt="" coords="410,820,561,861"/>
<area shape="rect" id="node27" href="namespacelpt__spark__channel.html#ad0305b51374dcb6d9f73fa652e0711ff" title="lpt_spark_channel::\llpt_spk_channel_rk_sol\l_post_step" alt="" coords="406,1191,565,1247"/>
<area shape="rect" id="node29" href="namespacelpt__spark__kernel.html#a36192ff78a2a3e8600f810f3679818f2" title="lpt_spark_kernel::lpt\l_spark_kernel_rk_solver\l_prestep" alt="" coords="404,1271,567,1327"/>
<area shape="rect" id="node31" href="namespacelpt__rk__solver.html#a7a0ea270e606907ee1ee28651da97a19" title="lpt_rk_solver::lpt\l_rk_solver_pre_substep" alt="" coords="405,1483,565,1524"/>
<area shape="rect" id="node32" href="namespacelpt__rk__solver.html#a3539cb472293a451844029455d8bf9a8" title="lpt_rk_solver::lpt\l_rk_solver_rhs" alt="" coords="426,1548,545,1589"/>
<area shape="rect" id="node33" href="arts__cf__md__simulation_8f90.html#aaa0787e1e1ffac7919baa5d385ccad0e" title="solve" alt="" coords="459,1614,512,1641"/>
<area shape="rect" id="node34" href="lpt__rk__solver_8f90.html#ab68c7905051accc9aeeb581dd3b9dab1" title="stop_rk" alt="" coords="453,1665,518,1691"/>
<area shape="rect" id="node35" href="namespacelpt__rk__solver.html#a559e551d26180255bde1b2ed76b0a24a" title="lpt_rk_solver::lpt\l_rk_solver_post_iter" alt="" coords="416,1352,555,1393"/>
<area shape="rect" id="node36" href="namespacelpt__rk__solver.html#a47f8eeca6f19dd0adc52f77deed5f1a5" title="lpt_rk_solver::lpt\l_rk_solver_post_substep" alt="" coords="402,1417,569,1459"/>
</map>
</div>
<div id="dynsection-9" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-9-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-9-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-9-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacelpt__m_a169103869bed15388cda14febe0849a4_icgraph.png" border="0" usemap="#namespacelpt__m_a169103869bed15388cda14febe0849a4_icgraph" alt=""/></div>
<map name="namespacelpt__m_a169103869bed15388cda14febe0849a4_icgraph" id="namespacelpt__m_a169103869bed15388cda14febe0849a4_icgraph">
<area shape="rect" id="node2" href="namespacearts__cf__simulation.html#a4d813a565cb81c0cba28e71029dbdc40" title="Pre&#45;step 2 &#45; prepare for the subiterations. " alt="" coords="167,219,295,261"/>
<area shape="rect" id="node4" href="namespacearts__simulation.html#a80dda89ed8abf4b853ea8926e1a5c18d" title="arts_simulation::arts\l_prestep2" alt="" coords="161,285,301,326"/>
<area shape="rect" id="node3" href="arts__cf_2arts__cf_8f90.html#ae28d576a7e640ac338dc0cfe39b4a2e3" title="simulation_run" alt="" coords="363,227,470,253"/>
<area shape="rect" id="node5" href="arts_2arts_8f90.html#a497ad2f15ec27f7e5bff2e078bffbf5d" title="simulation_run" alt="" coords="363,284,470,311"/>
<area shape="rect" id="node17" href="namespacearts__md__simulation.html#a1d63e088dd86b79505c90b8897b44cbe" title="arts_md_simulation\l::arts_md_prestep2" alt="" coords="349,433,484,474"/>
<area shape="rect" id="node6" href="arts_2arts_8f90.html#af1c66b7de825dc059b3c2d83c726a207" title="arts" alt="" coords="563,5,607,32"/>
<area shape="rect" id="node7" href="arts__cf_2arts__cf_8f90.html#a13528375d4b5e020a805447928524906" title="arts_cf" alt="" coords="554,56,617,83"/>
<area shape="rect" id="node8" href="arts__cf_2arts__cf__md_8f90.html#acce0fc0bbf137cebf13cf5f9deb9d4d9" title="arts_cf_md" alt="" coords="542,107,629,133"/>
<area shape="rect" id="node9" href="arts_2arts__md_8f90.html#a448e6c85f77623da832aacf3910ed2b3" title="arts_md" alt="" coords="551,157,620,184"/>
<area shape="rect" id="node10" href="arts__cf_2arts__wc_8f90.html#af7bb7cfbac3d52067a278f3367ac7ccd" title="arts_wc" alt="" coords="551,208,619,235"/>
<area shape="rect" id="node11" href="nga__cf__bmix_8f90.html#a03498a029da62800ff43fa618657ae83" title="nga_cf_bmix" alt="" coords="537,259,633,285"/>
<area shape="rect" id="node12" href="nga__cf__cold_2nga__cf__cold_8f90.html#abb68a45d77deeb00b9d2eadec4755bbf" title="nga_cf_cold" alt="" coords="539,309,631,336"/>
<area shape="rect" id="node13" href="nga__if_2nga__if_8f90.html#ad0097941595a2ca34c36d82feb742ad0" title="nga_if" alt="" coords="557,360,614,387"/>
<area shape="rect" id="node14" href="nga__if__ib_2nga__if__ib_8f90.html#a40b85c09234cf3658b0935a7dda16f35" title="nga_if_ib" alt="" coords="548,411,623,437"/>
<area shape="rect" id="node15" href="nga__if_2nga__if__md_8f90.html#a16ff94900431e21a93779b3f14565de9" title="nga_cold_md" alt="" coords="536,461,635,488"/>
<area shape="rect" id="node16" href="nga__x_8f90.html#abec3e747113e9dd808fcf2010dac88a0" title="nga_x" alt="" coords="557,512,614,539"/>
<area shape="rect" id="node18" href="arts_2arts__md_8f90.html#a539860039fa2e9f4d5cae3f324d15649" title="simulation_run" alt="" coords="532,563,639,589"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a9f31d78ee367d4c1366349892980cd47"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9f31d78ee367d4c1366349892980cd47">&#9670;&nbsp;</a></span>first_lpt</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">type(<a class="el" href="structlpt__defs__m_1_1lpt__t.html">lpt_t</a>), pointer, public lpt_m::first_lpt =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>main data object </p>

</div>
</div>
<a id="abfe415518260ec96056f4727d6ceca18"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abfe415518260ec96056f4727d6ceca18">&#9670;&nbsp;</a></span>lpt</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">type(<a class="el" href="structlpt__defs__m_1_1lpt__t.html">lpt_t</a>), pointer lpt_m::lpt</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:51 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
